from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "flanges.zip",down_path)
download_zip(xz_url + "materials.zip",down_path)
download_file(xz_url + "operators.py",down_path)


bl_info = {
	'name': 'Random Flow',
	'author': 'xz-blender repack',
	'version': (3, 2, 2),
	'blender': (4, 2, 0),
	'location': '3d View > Tool shelf',
	'description': 'Collection of random greebling functionalities',
	'warning': '',
	'wiki_url': '',
	'doc_url': 'https://www.blenderguppy.com/add-ons/random-flow',
	'tracker_url': 'https://www.blenderguppy.com/add-ons/help-and-support',
	'category': 'Mesh'}

import bpy
from . import operators
from . import utils
from . import ui
from . import preferences
from .translation.translate import GetTranslationDict


def register():

	operators.register()
	ui.register()
	preferences.register()
	bpy.app.translations.register(__package__, GetTranslationDict())

def unregister():

	preferences.unregister()
	ui.unregister()
	operators.unregister()
	bpy.app.translations.unregister(__package__)