import bpy
from pathlib import Path
import shutil

local_presets_path = Path(__file__).parent / "operator_presets"
scripts_path = Path(bpy.utils.user_resource('SCRIPTS')) / "presets"/ "operator"

class RF_OT_Add_Operator_Presets(bpy.types.Operator):
    bl_idname = "rflow.add_operator_presets"
    bl_label = "添加操作默认预设"
    bl_options = {"REGISTER", "UNDO"}

    def execute(self, context):
        # 确保目标路径存在
        scripts_path.mkdir(parents=True, exist_ok=True)

        # 遍历 local_presets_path 下的所有文件夹
        for item in local_presets_path.iterdir():
            if item.is_dir():  # 确保是文件夹
                target_folder = scripts_path / item.name
                if not target_folder.exists():  # 如果目标文件夹不存在则复制
                    shutil.copytree(item, target_folder)
                    # self.report({'INFO'}, f"Copied {item.name} to {target_folder}")
                # else:
                #     self.report({'INFO'}, f"Folder {item.name} already exists at {target_folder}")

        return {'FINISHED'}

